
variables:
  PARAM_OPERATION:
    value: "Nouveau Topic"
    options:
      - "Nouveau Topic"
      - "Nouveau Schema Registry"
      - "Mise a jour Topic"
      - "Evolve Schema"
      - "Generate AsyncAPI"
    description: "Nouveau Topic, Nouveau Schema Registry, Generate AsyncAPI, Mise a jour Topic, Evolve Schema, etc."
  PARAM_ENVIRONNEMENT:
    description: "Environnement cible"
    value: "recette"
    options:
      - "recette"
      - "dev"
      - "prod"      
  PARAM_BRANCHE:
    description: "branche git"
  PARAM_JSON_INPUT:
    description: "nom du fichier en entrée" 


stages:      
  - init
  - linter
  - call_iac

build-job:      
  stage: init
  script:
    - echo "verification des files..."

lint-test-job:  
  stage: linter  
  script:
    - echo "Linting code..."
    - sleep 1
    - echo "Aucun probleme"

trigger_iac_confluent:
  stage: call_iac
  variables:
    FORM_OPERATION: "${PARM_OPERATION}"
    FORM_ENVIRONNEMENT: "${PARAM_ENVIRONNEMENT}"
    FORM_BRANCHE: "${PARAM_BRANCHE}"
    FORM_JSON_INPUT: "${PARAM_JSON_INPUT}"
  trigger:
    project: engie1845413/iac_confluent
    strategy: depend